<script>
  
  import { select } from "d3-selection";
  import { axisBottom } from "d3-axis";
  import { scaleLog } from "d3-scale";

  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 25, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Array
  const values = [2, 4, 6, 7, 9];
  const scale = scaleLog([1, 10], [0, innerWidth]);
  function xAxis(handle) {axisBottom(scale)(select(handle))}

</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each values as val}
    <circle cx={scale(val)} cy="50"r="10" style="fill:blue" />
    {/each}
  </g>

    <g transform="translate({margin.left},{height - 30})" use:xAxis={"svg"} />
    <text transform="translate({width / 2},{height-5})" style="fill:currentcolor">x-axis</text>
</svg>


